0
$\begingroup$

Rosanswers logo

I'm using a full install of ROS Groovy and am trying to get point clouds from bag files. When I attempt to run bag_to_pcd I the following error:

[rosrun] Couldn't find executable named bag_to_pcd below /opt/ros/groovy/share/pcl_ros

In fact, none of the pcl_ros nodes listed in the documentation are there. Have they moved somewhere else?


Originally posted by Jeffrey Kane Johnson on ROS Answers with karma: 452 on 2013-02-03

Post score: 0


Original comments

Comment by kalectro on 2013-02-03:
please provide some more information. Did you compile from source or use a prebuilt binary? Does /opt/ros/groovy/pcl_ros exist maybe it is inside the package perception_pcl

Comment by Jeffrey Kane Johnson on 2013-02-03:
I just did the standard Desktop-Full install using sudo apt-get install ros-groovy-desktop-full. The pcl_ros directory does exist, but there are only two XML files in it and a cmake directory. If I run sudo apt-get install ros-groovy-pcl-ros it just tells me it's already installed.

$\endgroup$

1 Answer 1

0
$\begingroup$

Rosanswers logo

They install in /opt/ros/groovy/bin. That should be directly accessible from your shell $PATH, if it was set up correctly, but it is not the correct place for rosrun to find it.

This looks like a bug. Several packages, converted to catkin, are mistakenly installing executables in inappropriate places. You should probably open an issue to get that resolved.


Originally posted by joq with karma: 25443 on 2013-02-05

This answer was ACCEPTED on the original site

Post score: 3


Original comments

Comment by Jeffrey Kane Johnson on 2013-02-05:
Right on. I opened an issue here: https://github.com/ros-perception/perception_pcl/issues/5

$\endgroup$

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.